Skip to main content
GET
/
training-courses
Get a list of filtered training courses.
curl --request GET \
  --url https://api.samsara.com/training-courses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": {
        "id": "a4db8702-79d5-4396-a717-e301d52ecc11",
        "name": "Samsara Driver App"
      },
      "estimatedTimeToCompleteMinutes": 30,
      "id": "a4db8702-79d5-4396-a717-e301d52ecc11",
      "revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "status": "published",
      "title": "Wheel Loader",
      "description": "Training for how to operate a wheel loader.",
      "labels": [
        {
          "name": "safety",
          "type": "accel"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

courseIds
string[]

Optional string of comma separated course IDs. If course ID is present, training assignments for the specified course ID(s) will be returned. Max value for this value is 100 objects. Defaults to returning all courses. Example: courseIds=a4db8702-79d5-4396-a717-e301d52ecc11,c6490f6a-d84e-49b5-b0ad-b6baae304075

categoryIds
string[]

Optional string of comma separated course category IDs. If courseCategoryId is present, training courses for the specified course category(s) will be returned. Max value for this value is 100 objects. Defaults to returning all courses. Example: categoryIds=a4db8702-79d5-4396-a717-e301d52ecc11,c6490f6a-d84e-49b5-b0ad-b6baae304075

status
string[]

Optional string of comma separated values. If status is present, training courses with the specified status(s) will be returned. Valid values: “published”, “deleted”, “archived”. Defaults to returning all courses.

Response

OK response.

data
object[]
required

List of training courses.

pagination
object
required

Pagination parameters.